import request from '@/utils/request'

// 查询数据调查-宅基地宗地列表
export function listZjdzd(query) {
  return request({
    url: '/houseSurvey/zjdzd/list',
    method: 'get',
    params: query
  })
}

// 导出数据调查-宅基地宗地
export function exportZjdzd(query) {
  return request({
    url: '/houseSurvey/zjdzd/export',
    method: 'get',
    params: query
  })
}

// 查询数据调查-宅基地宗地详细
export function getZjdzd(id) {
  return request({
    url: '/houseSurvey/zjdzd/get/' + id,
    method: 'get'
  })
}

// 新增数据调查-宅基地宗地
export function addZjdzd(data) {
  return request({
    url: '/houseSurvey/zjdzd/add',
    method: 'post',
    data: data
  })
}

// 新增数据调查-户主信息
export function zjdzdConnectTask(data) {
  return request({
    url: '/houseSurvey/zjdzd/connectTask',
    method: 'post',
    data: data
  })
}

// 修改数据调查-宅基地宗地
export function updateZjdzd(data) {
  return request({
    url: '/houseSurvey/zjdzd/edit',
    method: 'post',
    data: data
  })
}

// 删除数据调查-宅基地宗地
export function delZjdzd(id) {
  return request({
    url: '/houseSurvey/zjdzd/remove/' + id,
    method: 'get'
  })
}

